diff --git a/python/plugins/GdalTools/tools/GdalTools_utils.py b/python/plugins/GdalTools/tools/GdalTools_utils.py
index 0efe94e..8e03216 100644
--- a/python/plugins/GdalTools/tools/GdalTools_utils.py
+++ b/python/plugins/GdalTools/tools/GdalTools_utils.py
@@ -798,7 +798,8 @@ class Version:
 def setProcessEnvironment(process):
     envvar_list = {
         "PATH" : getGdalBinPath(),
-        "PYTHONPATH" : getGdalPymodPath()
+        "PYTHONPATH" : getGdalPymodPath(),
+        "GDAL_FILENAME_IS_UTF8" : "NO"
     }
 
     sep = os.pathsep
diff --git a/python/plugins/GdalTools/tools/dialogBase.py b/python/plugins/GdalTools/tools/dialogBase.py
index 7a2cfd9..446c98f 100644
--- a/python/plugins/GdalTools/tools/dialogBase.py
+++ b/python/plugins/GdalTools/tools/dialogBase.py
@@ -205,9 +205,9 @@ class GdalToolsBaseDialog(QDialog, Ui_Dialog):
         return
 
       # show the error message if there's one, otherwise show the process output message
-      msg = QString(self.process.readAllStandardError())
+      msg = QString.fromLocal8Bit(self.process.readAllStandardError())
       if msg.isEmpty():
-        outMessages = QString(self.process.readAllStandardOutput()).split( "\n" )
+        outMessages = QString.fromLocal8Bit(self.process.readAllStandardOutput()).split( "\n" )
 
         # make sure to not show the help
         for m in outMessages:
diff --git a/python/plugins/GdalTools/tools/doInfo.py b/python/plugins/GdalTools/tools/doInfo.py
index 19b0248..91cbb37 100644
--- a/python/plugins/GdalTools/tools/doInfo.py
+++ b/python/plugins/GdalTools/tools/doInfo.py
@@ -101,7 +101,7 @@ class GdalToolsDialog( QWidget, Ui_Widget, BasePluginWidget ):
       arr = QByteArray()
       arr = self.base.process.readAllStandardOutput()
       if platform.system() == "Windows":
-        info = QString( arr ).trimmed().split( "\r\n" )
+        info = QString.fromLocal8Bit( arr ).trimmed().split( "\r\n" )
       else:
         info = QString( arr ).trimmed().split( "\n" )
       self.rasterInfoList.addItems( info )
diff --git a/python/plugins/GdalTools/tools/doOverview.py b/python/plugins/GdalTools/tools/doOverview.py
index e5426fd..6d0febc 100644
--- a/python/plugins/GdalTools/tools/doOverview.py
+++ b/python/plugins/GdalTools/tools/doOverview.py
@@ -160,7 +160,7 @@ class GdalToolsDialog( QWidget, Ui_Widget, BaseBatchWidget ):
         BasePluginWidget.onFinished(self, exitCode, status)
         return
 
-      msg = QString( self.base.process.readAllStandardError() )
+      msg = QString.fromLocal8Bit( self.base.process.readAllStandardError() )
       if not msg.isEmpty():
         self.errors.append( ">> " + self.inFiles[self.batchIndex] + "<br>" + msg.replace( "\n", "<br>" ) )
 
diff --git a/python/plugins/GdalTools/tools/widgetBatchBase.py b/python/plugins/GdalTools/tools/widgetBatchBase.py
index e9ae86f..0372f83 100644
--- a/python/plugins/GdalTools/tools/widgetBatchBase.py
+++ b/python/plugins/GdalTools/tools/widgetBatchBase.py
@@ -112,7 +112,7 @@ class GdalToolsBaseBatchWidget(BasePluginWidget):
         BasePluginWidget.onFinished(self, exitCode, status)
         return
 
-      msg = QString( self.base.process.readAllStandardError() )
+      msg = QString.fromLocal8Bit( self.base.process.readAllStandardError() )
       if not msg.isEmpty():
         self.errors.append( ">> " + self.inFiles[self.batchIndex] + "<br>" + msg.replace( "\n", "<br>" ) )
 
